<?php
/* Metodos de acceso a los campos de la tabla SR_DevolucionCabecera redefinidos por el usuario */
class SR_DevolucionCabeceraBN extends BaseSR_DevolucionCabeceraBN
{
    //ESTADO
    const ESTADO_COMPLETADO = "C"; //COMPLETADO
    const ESTADO_ANULADO    = "A"; //REVERTIFO
    
    const TIPO_NORMAL    = "NORMAL";
    const TIPO_REVERSION = "REVERSION";
    
    public static function getArrayEstados( $sEstado = null )
    {
        $a_sEstado = array
        (
                self::ESTADO_COMPLETADO => "COMPLETADO",
                self::ESTADO_ANULADO    => "ANULADO"
        );
        if( !is_null( $sEstado ) )
        {
            if( isset( $a_sEstado[$sEstado] ) )
            {
                return $a_sEstado[$sEstado];
            }
        }
        return $a_sEstado;
    }
    
    public function getEstadoDesc()
    {
        return SR_DevolucionCabeceraBN::getArrayEstados( $this->getEstado() );
    }
    
    public function getArrayDetalles()
    {
        $o_SR_DevolucionDetalleFN = new SR_DevolucionDetalleFN();
        $o_SR_DevolucionDetalleFN->setDevolucionCabId( $this->getDevolucionCabId() );
        return $o_SR_DevolucionDetalleFN->select();
    }
    
    public function getArrayTransacciones()
    {
        $o_SR_DevolucionTransaccionFN = new SR_DevolucionTransaccionFN();
        $o_SR_DevolucionTransaccionFN->setDevolucionCabId( $this->getDevolucionCabId() );
        return $o_SR_DevolucionTransaccionFN->select();
    }
}
?>